明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 188|回复: 1

[提问] 怎么样才能使空间图层跟随命令一起变动

[复制链接]
发表于 2018-1-12 16:27 | 显示全部楼层 |阅读模式
(defun c:1  () ;to
  (prompt "\n请选择要改变图层属性的对象: ")
       
  (setq ss(ssget))
  (if ss
    (progn  
(if (not (tblsearch "LAYER" "家具外线"));
   (command "layer" "m" "家具外线" "c" 143 ""  ""  "" "")
)               
      (command "_change" ss "" "properties" "layer" "家具外线" "")
    )
  )
        (princ)
)

(defun c:2  () ;to 1
  (prompt "\n请选择要改变图层属性的物体: ")
  (setq ss(ssget))
  (if ss
    (progn
(if (not (tblsearch "LAYER" "家具内线"));
   (command "layer" "m" "家具内线" "c" 8 ""  ""  "" "")
)                       
      (command "_change" ss "" "properties" "layer" "家具内线" "")
    )
  )
        (princ)
)
(defun c:3  () ;to 1
  (prompt "\n请选择要改变图层属性的物体: ")
  (setq ss(ssget))
  (if ss
    (progn   
                (if (not (tblsearch "LAYER" "墙体线"));
   (command "layer" "m" "墙体线" "c" 12 ""  ""  "" "")
)       
      (command "_change" ss "" "properties" "layer" "墙体线" "")
    )
  )
        (princ)
)
发表于 2018-1-16 16:25 | 显示全部楼层
我没有明白你问的是个什么问题?
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-4-20 05:23 , Processed in 0.212462 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表